# salt.modules.cisconso

Execution module for Cisco Network Services Orchestrator Proxy minions

Added in version 2016.11.0.

For documentation on setting up the cisconso proxy minion look in the documentation for `salt.proxy.cisconso`.

salt.modules.cisconso.apply_rollback(datastore, name)

  Apply a system rollback

  Parameters:

    - datastore (`DatastoreType` (`str` enum).) -- The datastore, e.g. running, operational. One of the NETCONF store IETF types

    - name (`str`) -- an ID of the rollback to restore

      salt cisco-nso cisconso.apply_rollback 52

salt.modules.cisconso.get_data(datastore, path)

  Get the configuration of the device tree at the given path

  Parameters:

    - datastore (`DatastoreType` (`str` enum).) -- The datastore, e.g. running, operational. One of the NETCONF store IETF types

    - path (`list`, `str` OR `tuple`) -- The device path to set the value at, a list of element names in order, / separated

  Returns:

    The network configuration at that tree

  Return type:

    `dict`

      salt cisco-nso cisconso.get_data running 'devices/ex0'

salt.modules.cisconso.get_rollback(name)

  Get the backup of stored a configuration rollback

  Parameters:

    name (`str`) -- Typically an ID of the backup

  Return type:

    `str`

  Returns:

    the contents of the rollback snapshot

      salt cisco-nso cisconso.get_rollback 52

salt.modules.cisconso.get_rollbacks()

  Get a list of stored configuration rollbacks

      salt cisco-nso cisconso.get_rollbacks

salt.modules.cisconso.info()

  Return system information for grains of the NSO proxy minion

      salt '*' cisconso.info

salt.modules.cisconso.set_data_value(datastore, path, data)

  Set a data entry in a datastore

  Parameters:

    - datastore (`DatastoreType` (`str` enum).) -- The datastore, e.g. running, operational. One of the NETCONF store IETF types

    - path (`list`, `str` OR `tuple`) -- The device path to set the value at, a list of element names in order, / separated

    - data (`dict`) -- The new value at the given path

  Return type:

    `bool`

  Returns:

    `True` if successful, otherwise error.

      salt cisco-nso cisconso.set_data_value running 'devices/ex0/routes' 10.0.0.20/24